Skip to main content
GET
/
v1
/
checkout
/
{id}
Get checkout
curl --request GET \
  --url https://api.platnova.com/v1/checkout/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/checkout/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/checkout/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": true,
  "data": {
    "amount": 2000.15,
    "currency": "ngn",
    "id": "3e584f08-6a55-4b15-a97f-364a7d21071e",
    "email": "[email protected]",
    "url": "https://pay.platnova.com/3e584f08-6a55-4b15-a97f-364a7d21071e",
    "status": "pending",
    "success_url": "https://platnova.com/process?status=successful",
    "cancel_url": "https://platnova.com/process?status=cancelled",
    "source": "platform",
    "entity": {
      "category": "Technology",
      "country_code": "NG",
      "created_at": "2025-09-14T20:00:41.114031Z",
      "description": "A leading technology solutions provider g",
      "dial_code": "+234",
      "id": "67fa2a59-5d73-4f9c-be49-2a3a8c391cde",
      "legal_name": "Techies 2 Ltd",
      "name": "Techies 2 Ltd",
      "phone": "8012345678",
      "status": "ACTIVE",
      "username": "techies2ltd"
    },
    "payment_options": [
      {
        "id": "defi"
      }
    ],
    "created_at": "2026-05-05T15:57:19Z"
  },
  "error": [],
  "message": "operation was successful"
}
{
  "status": true,
  "data": {},
  "error": [
    "<unknown>"
  ],
  "message": "<string>"
}

Overview

Retrieve an existing checkout session by ID, including current status, payment URL, and checkout metadata.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

id
string
required

Checkout ID

Response

Checkout retrieved successfully

status
boolean
data
object
error
any[]
message
string